IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGCODERULE') 
CREATE TABLE T_BD_CONFIGCODERULE (
    FID BIGINT DEFAULT 0  NOT NULL,
    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    fseparator CHAR(1) DEFAULT ' ' NOT NULL,
    FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
    FDESCRIPTION_TAG NCLOB NULL,
    fexample VARCHAR(50) DEFAULT ' ' NOT NULL,
    fenableuser BIGINT DEFAULT 0 NOT NULL,
    fenabletime DATETIME,
    fdisableuser BIGINT DEFAULT 0 NOT NULL,
    fdisabletime DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGCODERULE_L') 
CREATE TABLE T_BD_CONFIGCODERULE_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0  NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGCODERULEENTRY') 
 CREATE TABLE T_BD_CONFIGCODERULEENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	fcodeattr BIGINT DEFAULT 0 NOT NULL,
	fentryseparator CHAR(1) DEFAULT ' ' NOT NULL,
	fusemode CHAR(1) DEFAULT ' ' NOT NULL,
	fsetvalue VARCHAR(20) DEFAULT ' ' NOT NULL,
	fentrylength BIGINT DEFAULT 0 NOT NULL,
	fsteplength BIGINT DEFAULT 0 NOT NULL,
	ffillmode CHAR(1) DEFAULT ' ' NOT NULL,
	ffillsysmbol VARCHAR(10) DEFAULT ' ' NOT NULL,
	fsparamode CHAR(1) DEFAULT ' ' NOT NULL,
	frunnumberjudge CHAR(1) DEFAULT ' ' NOT NULL,
	fformat VARCHAR(50) DEFAULT ' ' NOT NULL,
	fformatvalue VARCHAR(50) DEFAULT ' ' NOT NULL
);

